ContextName (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.catalina.util

## Class ContextName

- java.lang.Object
- - org.apache.catalina.util.ContextName

-     public final class ContextName
      extends java.lang.Object

  Utility class to manage context names so there is one place where the conversions between baseName, path and version take place.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ROOT_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextName​(java.lang.String name, boolean stripFileExtension)` | Creates an instance from a context name, display name, base name, directory name, WAR name or context.xml name.
    `ContextName​(java.lang.String path, java.lang.String version)` | Construct an instance from a path and version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBaseName()` |
    `java.lang.String` | `getDisplayName()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getPath()` |
    `java.lang.String` | `getVersion()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_NAME

          public static final java.lang.String ROOT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContextName

          public ContextName​(java.lang.String name,
                             boolean stripFileExtension)

      Creates an instance from a context name, display name, base name, directory name, WAR name or context.xml name.
      Parameters:
        `name` - The name to use as the basis for this object
        `stripFileExtension` - If a .war or .xml file extension is present at the end of the provided name should it be removed?

    - #### ContextName

          public ContextName​(java.lang.String path,
                             java.lang.String version)

      Construct an instance from a path and version.
      Parameters:
        `path` - Context path to use
        `version` - Context version to use

  - ### Method Detail

    - #### getBaseName

          public java.lang.String getBaseName()

    - #### getPath

          public java.lang.String getPath()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getName

          public java.lang.String getName()

    - #### getDisplayName

          public java.lang.String getDisplayName()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`